> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Roles

> Get available user roles (filtered by account type)



## OpenAPI

````yaml /api/openapi.yaml get /v1/users/roles
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/users/roles:
    get:
      tags:
        - Users
      summary: List User Roles
      description: Get available user roles (filtered by account type)
      responses:
        '200':
          $ref: '#/components/responses/ListUserRolesResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  responses:
    ListUserRolesResponse:
      description: Default Response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ListUserRolesResponse_application_json'
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ListUserRolesResponse_application_json:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/ListUserRolesResponse_application_json_items_items
        total:
          type: number
          description: Total number of items available
        limit:
          type: number
          description: Number of items returned
        offset:
          type: number
          description: Number of items skipped
      required:
        - items
        - total
        - limit
        - offset
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
    ListUserRolesResponse_application_json_items_items:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````